SchoolMark
1 Nickel

firmware upgrade needed but not available

For some reason, OME is not recognizing the need to upgrade in one part of the program while another part says I need to. (1) Checking my "manage devices" shows a yellow for a Win2003 PowerEdge 2950 server (2) Opening server administrator on the server, shows the storage firmware driver is out of date: Firmware Version 5.2.2-0072 Driver Version 2.24.00.32 Storport Driver Version 5.2.3790.3959 Minimum Required Storport Driver Version 5.2.3790.4173 (3) no problem, I say to myself, I will just go in to System Update and push out the new version. I check the source and verify it says "current catalog version is the latest" then go to "non-compliant systems" but the server is not there. (4) checking the other tabs I found my server in "compliant systems" with an inventory date of today but I am unable to do anything since this screen believes it is ok. (5) I heave a big sigh. any ideas? it is not that far out of date but it is strange that one screen reports a problem and the other says all is ok.
0 Kudos
5 Replies
Jiff Lemon
2 Iron

RE: firmware upgrade needed but not available

Are you using a local catalog or the online catalog?
0 Kudos
Highlighted
SchoolMark
1 Nickel

RE: firmware upgrade needed but not available

I double-checked. It ftp's down the catalog from Dell. it said a newer one was available so I thought my problem was resolved. However, after the download, it shows my Broadcom NIC firmware needs to be updated but still no mention of the storage array. I am confident I can manually download and install, its just strange that OME is so inconsistent. Most of my servers do not have internet access so I really rely on OME to tell me when something needs to be done. This server happens to have access, so I am assuming its Server Manager is checking on its own. Not sure why there would be a discrepancy.
0 Kudos

RE: firmware upgrade needed but not available

Ok, so can you let me know...when you look at the OME System update compliance report.....what is the catalog version showing and the installed version showing?

Are you saying they show the same number and is marked compliant?

Thanks,

Rob

DELL-Rob C
Social Media Support
#IWork4Dell

0 Kudos
SchoolMark
1 Nickel

RE: firmware upgrade needed but not available

Hey Rob, thanks for not letting this go. I wish I could post some screenshots, it would be easier. Not sure where the "OME System update compliance report" would be. I don't see anything named that in the reports menu On Manage->System Update, summary page. I show "Compliance Report" source: ftp://downloads.dell.com/catalog/catalog.cab and in blue says, "current catalog is the latest" but, I can't find any way to see what the actual date is of the file from the GUI. I searched the server's disks for a file named "catalog.cab" but didn't find anything. Any ideas how to check the date on the catalog? this might be related to it.... I am wondering if the problem is a lack of connectivity. I tried manually downloading the catalog.cab file from the OME server and pulled it to my desktop without any problem, but last night I tried to run a system update task on a different server and got the following: In System Update -> Non-Compliant Systems Package(s) unavailable ftp://downloads.dell.com/FOLDER01822536M/1/Network_Firmware_T3TVN_WN32_7.8.16.EXE ftp://downloads.dell.com/FOLDER01631931M/1/R710_BIOS_4HKX2_WN32_6.4.0.EXE ftp://downloads.dell.com/FOLDER01778860M/1/Network_Driver_7TH1H_WN_18.2.0_17.8.4.2.EXEException message: the package file 'Dell.OpenManage.Deploy.Package' does not exist.Parameter name: packages so I am wondering if it might be connectivity problems.
0 Kudos

RE: firmware upgrade needed but not available

Ok, yeah don't know why screen shots are a challange here sometimes.  Some folks use sites like imagebin.org.  If you do, remove confidential data, etc.

It's not a report.  It's on the System Update portal you mention with the pie chart, etc.  You should be able to click on the non compliant tab and then see the out of date versions...I guess I'm looking for some of those version numbers for that particular driver.

thx!

DELL-Rob C
Social Media Support
#IWork4Dell

0 Kudos